<?php
if($_COOKIE['iQQol_Administrator']!=IQQOL_SPPASS)
{
    $style->assign("state",'COOKIE失效');
    $style->display('admin/index.html');exit();
}
else {
    if($_GET['edit']=='yes'){
        $edit=mysql_query("UPDATE ".IQQOL_SQLTABLE."config
 SET notice='{$_POST['notice']}' 
 WHERE id = '1'");
        $edit.=mysql_query("UPDATE ".IQQOL_SQLTABLE."config
 SET service_reply='{$_POST['reply']}' 
 WHERE id = '1'");
    if($edit){
        $tem_url_return=$_SERVER["PHP_SELF"].'?action=announce';
        $state='修改成功';
        $style->display('admin/status.html');
        exit();
    }else{
        $tem_url_return=$_SERVER["PHP_SELF"].'?action=announce';
        $state='修改失败';
        $style->display('admin/status.html');
        exit();
    }
    }
    if(IN_IQQOL){
        $style->display('admin/setting/announce.html');
    }
}